sdr::SDRError Class Reference

Base class of all SDR exceptions. More...

`#include <exception.hh>`

Inheritance diagram for sdr::SDRError:

## Public Member Functions

| SDRError ()
| Constructor. More...
| SDRError (const SDRError &other)
| Copy constructor. More...
virtual | ~SDRError () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Implements the `std::exception` interface. More...

## Detailed Description

Base class of all SDR exceptions.

## Constructor & Destructor Documentation

sdr::SDRError::SDRError | ( |  | ) |

inline

Constructor.

sdr::SDRError::SDRError | ( | const SDRError & | other | ) |

inline

Copy constructor.

virtual sdr::SDRError::~SDRError | ( |  | ) |
throw | ( |
| ) |  |

inlinevirtual

Destructor.

## Member Function Documentation

virtual const char* sdr::SDRError::what | ( |  | ) | const
throw | ( |
| ) |  |

inlinevirtual

Implements the `std::exception` interface.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/exception.hh